Avro C#

Public Member Functions | List of all members
Avro.PropertyMap Class Reference

Provides access to custom properties (those not defined in the Avro spec) in a JSON object. More...

Inheritance diagram for Avro.PropertyMap:

## Public Member Functions
void | Parse (JToken jtok)
| Parses the custom properties from the given JSON object and stores them into the schema's list of custom properties More...
void | Set (string key, string value)
| Adds a custom property to the schema More...
void | WriteJson (JsonTextWriter writer)
| Writes the schema's custom properties in JSON format More...
override bool | Equals (object obj)
| Function to compare equality of two PropertyMaps More...
override int | GetHashCode ()
| Hashcode function More...

## Detailed Description

Provides access to custom properties (those not defined in the Avro spec) in a JSON object.

## Member Function Documentation

## ◆ Equals()

override bool Avro.PropertyMap.Equals | ( | object | obj | ) |
| inline

Function to compare equality of two PropertyMaps

Parameters

  obj | other PropertyMap

Returns
  true if contents of the two maps are the same, false otherwise

## ◆ GetHashCode()

override int Avro.PropertyMap.GetHashCode | ( |  | ) |
| inline

Hashcode function

Returns

## ◆ Parse()

void Avro.PropertyMap.Parse | ( | JToken | jtok | ) |
| inline

Parses the custom properties from the given JSON object and stores them into the schema's list of custom properties

Parameters

  jtok | JSON object to parse

## ◆ Set()

void Avro.PropertyMap.Set | ( | string | key,
|  | string | value
| ) |  |
| inline

Adds a custom property to the schema

Parameters

  key | custom property name
  value | custom property value

## ◆ WriteJson()

void Avro.PropertyMap.WriteJson | ( | JsonTextWriter | writer | ) |
| inline

Writes the schema's custom properties in JSON format

Parameters

  writer | JSON writer

The documentation for this class was generated from the following file:

- src/apache/main/Schema/Property.cs